mas-storage:
  dms:
    set-archivable:
      journaling: false #indicator should journaling mails be marked as approved for archiving. default is false
      archiving: false #indicator should archiving mails be marked as approved for archiving. default is false
    deduplication:
      mode: UPDATE #UPDATE will do update of same existing messages, WARN will add info about duplicate in log file, IGNORE will not check for duplicate messages
    register:
      mode: NONE #should archive folders contain registers for mail, and for white timeframe should the registers be created. Possible values are NONE, PER_DAY, PER_WEEK, PER_MONTH
    journal:
      folder: Journal #user name of the folder where journal mails will be stored
      #journal-folder-max-length: 19 #max length for journaling folder name. Must not be longer than field length of journaling folder in enaio mail object definition. default is 19
      object-types:
        folder:
          name: EXCHANGESTORAGE_FOLDER #internal name of folder cabinet in enaio. this value is default
          fields: #fields mapping for folder cabinet. key value is mas-storage configuration key and internal-name value is internal name of the field in enaio. this value is default
            - key: FOLDER_USER
              internal-name: Benutzer
        register:
          name: StrukturRegister #internal name of register object in enaio. this value is default
          fields: #fields mapping for register object. key value is mas-storage configuration key and internal-name value is internal name of the field in enaio. this value is default
            - key: REGISTER_NAME
              internal-name: Feld1
        mail:
          name: EMAIL_DOCUMENT #internal name of mail document in enaio. this value is default
          fields: #fields mapping for mail document. key values are mas-storage configuration keys and internal-name values are internal names of the fields in enaio. all values are default
            - key: MAIL_REPORT_INFO
              internal-name: RPRT_INFO
            - key: MAIL_REPORT_RECIPIENTS
              internal-name: RPRT_RECIPIENTS
            - key: MAIL_FROM
              internal-name: MAIL_FROM
            - key: MAIL_TO
              internal-name: MAIL_TO
            - key: MAIL_CC
              internal-name: MAIL_CC
            - key: MAIL_SUBJECT
              internal-name: MAIL_SUBJECT
            - key: MAIL_BODY
              internal-name: MAIL_BODY
            - key: MAIL_MESSAGE_ID
              internal-name: MAIL_MESSAGE_ID
            - key: MAIL_HAS_ATTACHMENT
              internal-name: MAIL_HAS_ATTACHMENT
            - key: MAIL_SUBMIT_TIME
              internal-name: MAIL_SUBMIT_TIME
            - key: MAIL_TOS
              internal-name: MAIL_TOS
            - key: MAIL_SIZE
              internal-name: MAIL_SIZE
            - key: MAIL_PRIORITY
              internal-name: MAIL_PRIORITY
            - key: MAIL_SMTP_HEADER
              internal-name: SMTP_HEADER
            - key: MAIL_RECEIVE_TIME
              internal-name: MAIL_RECEIVE_TIME
            - key: MAIL_PRIVACY
              internal-name: MAIL_PRIVACY
            - key: MAIL_CATEGORY
              internal-name: MAIL_CATEGORY
            - key: MAIL_MAILBOX
              internal-name: MAIL_MAILBOX
            - key: MAIL_MAILBOX_MSG_ID
              internal-name: MAIL_MID
            - key: MAIL_MAILBOX_FOLDER
              internal-name: MAIL_STORAGE_ORIGINAL_FOLDER
            - key: MAIL_DIGEST
              internal-name: MAIL_DIGEST
    mailbox-related-storage:
      use-journaling-cabinet: true # if true, same cabinet will be used for journaling and mailbox related storage; if false, additional cabinet should be defined
      #user-folder-max-length: 19 #max length for user folder name. Must not be longer than field length of user folder in enaio mail object definition. default is 19
      links:
        create-links: NONE #defines should create no links (NONE), only links for defined special addresses (SPECIAL_ADDRESSES) or for both special addresses and addresses from belonging domain (ALL) 
        #special-addresses:
          #-"[sample@osdevtest.de]" : CustomFolder #for which mail in mail message should exist dedicated folder with document links to original message in journal folder